### Method

# FwupdPlugin SecurityAttrs equal

since: 1.9.2

#### Declaration [src]

    gboolean
    fu_security_attrs_equal (
      FuSecurityAttrs* attrs1,
      FuSecurityAttrs* attrs2
    )

#### Description [src]

Tests the objects for equality. Only the AppStream ID results are compared, extra metadata is ignored.

Available since: 1.9.2

#### Parameters

`attrs2`

  Type: `FuSecurityAttrs`

  Another `FuSecurityAttrs`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the set of attrs can be considered equal.